import org.apache.tools.ant.taskdefs.condition.Os

plugins {
    id("java")
}

group = "hytale-server.kotlin"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    if (Os.isFamily(Os.FAMILY_WINDOWS)) {
        implementation(files("${System.getenv("APPDATA")}/Hytale/install/release/package/game/latest/Server/HytaleServer.jar"))
    }
}

tasks.wrapper {
    gradleVersion = "8.14"
    distributionType = Wrapper.DistributionType.ALL
}

sourceSets {
    getByName("main") {
        java.setSrcDirs(listOf("src"))
    }
}